Posts by 8PABenny

    Oh man, ich habe vorher gesucht. Und in raspi config ist mir der neue Eintrag Device Tree auch aufgefallen, aber dachte nun nicht im geringsten daran ,dass es damit zu tun hat. Man kann zwar von jedem erwarten das er vorher sucht, aber ich denke gerade als Anfänger ist es schwierig einen Zusammenhang zwischen manchen Problemen zu sehen und auch nach der richtigen Lösung zu suchen.

    Hallo Forum,


    Ich habe bei meinem Raspberry Pi Model B Raspbian in der neuesten Version installiert und wollte mein Piface wieder in Betrieb nehmen. Ich bin nach der Anleitung von http://www.piface.org.uk/guide…ng_PiFace_Digital_modules Also ein apt - get install python3-pifacedigital-emulator sollte reichen um den Emulator zu installieren. Nach dem Reboot erscheint das Icon, aber es startet nicht.
    [hr]
    Über das Terminal kommt diese Fehlermeldung:


    $ pifacedigital-emulator
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 363, in bring_gpio_interrupt_into_userspace
    with open(GPIO_INTERRUPT_DEVICE_VALUE):
    IOError: [Errno 2] No such file or directory: '/sys/devices/virtual/gpio/gpio25/value'


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):
    File "/usr/bin/pifacedigital-emulator", line 3, in <module>
    pfd = emu.PiFaceDigital()
    File "/usr/lib/python3/dist-packages/pifacedigital_emulator/core.py", line 91, in __init__
    hardware_addr, bus, chip_select, init_board)
    File "/usr/lib/python3/dist-packages/pifacedigitalio/core.py", line 82, in __init__
    self.init_board()
    File "/usr/lib/python3/dist-packages/pifacedigitalio/core.py", line 114, in init_board
    self.enable_interrupts()
    File "/usr/lib/python3/dist-packages/pifacedigitalio/core.py", line 86, in enable_interrupts
    self.gpio_interrupts_enable()
    File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 210, in gpio_interrupts_enable
    bring_gpio_interrupt_into_userspace()
    File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 368, in bring_gpio_interrupt_into_userspace
    export_file.write(str(GPIO_INTERRUPT_PIN))
    IOError: [Errno 16] Device or resource busy
    Exception AttributeError: "'PiFaceDigital' object has no attribute 'fd'" in <bound method PiFaceDigital.__del__ of <pifacedigital_emulator.core.PiFaceDigital object at 0xb6981e50>> ignored

    Gemacht wurden die Bilder mit dem Programm Pinqam, also kann ich dir leider nicht sagen ob "Zeitraffer_%02d.jpg" ausgeführt wurde. Groß- und Kleinschreibung habe ich probiert ohne Erfolg.

    Guten Abend Leute,


    ich hab folgendes Problem, und zwar hab ich Bilder die ich zu einem Video zusammenfügen möchte. Nur komm ich an diesem Punkt nicht weiter.


    Code
    avconv -f image2 -i Zeitraffer_%02d.jpg -vcodec libx264 -vb 2500k -acodec null -r 25 Zeitraffer.mp4


    und spuckt dann das hier aus: "Zeitraffer_%02d.jpg: No such file or directory"


    Es sind 60 JPEG Dateien die fortlaufend mit Zeitraffer[1-60] nummeriert sind.


    Ich bedank mich schonmal für eure Unterstützung im vorraus.

    Danke Andreas für deine Hilfe. Ich habe jetzt ne Woche nach dem Fehler gesucht und habe ihn glaube nun gefunden. Ich hatte den Pi anfangs nur mit Wlan betrieben und als ich ihn mit LAN verbunden habe, die gleiche IP zugewiesen.:wallbash:


    Dein erster geposteter Befehl hat glaube einen Fehler, da kommt beim Pi ne Fehlermeldung.


    Ich werde mal noch bis morgen abwarten und wenn es bis dahin fehlerfrei läuft, den Thread als "gelöst" markieren.

    Hallo Leute,


    Ich habe folgendes Problem. Ich betreibe mein Pi mit Fhem an einer Fritzbox über LAN. Ihm ist eine feste IP zugewiesen. Wenn ich ihn anschalte hab ich folgendes Probleme, ein paar Minuten lang komme ich noch ins Internet und kann auf Fhem zugreifen und dann funktioniert nichts mehr, ich kann dann höchstens noch auf die Fritzbox zugreifen und auf dem Pi nur über SSH.:helpnew: